al_create_path(3)

NAME

al_create_path - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    ALLEGRO_PATH *al_create_path(const char *str)

DESCRIPTION

Create a path structure from a string. The last component, if it is followed by a directory separator and is neither "." nor "..", is treated as the last directory name in the path. Otherwise the last component is treated as the filename. The string may be NULL for an empty path.

SEE ALSO

al_create_path_for_directory(3), al_destroy_path(3)